Static Public Member Functions | List of all members
librevenge::RVNGZipStream Class Reference

`#include <RVNGZipStream.h>`

## Static Public Member Functions
static bool | isZipFile (RVNGInputStream *input)
static std::vector< std::string > | getSubStreamNamesList (RVNGInputStream *input)
static RVNGInputStream * | getSubstream (RVNGInputStream *input, const char *name)

## Member Function Documentation

## ◆ getSubstream()

RVNGInputStream * librevenge::RVNGZipStream::getSubstream | ( | RVNGInputStream * | input,
|  | const char * | name
| ) |  |
| static

Referenced by librevenge::RVNGFileStream::getSubStreamByName(), and librevenge::RVNGStringStream::getSubStreamByName().

## ◆ getSubStreamNamesList()

std::vector< std::string > librevenge::RVNGZipStream::getSubStreamNamesList | ( | RVNGInputStream * | input | ) |
| static

Referenced by librevenge::RVNGFileStream::isStructured(), and librevenge::RVNGStringStream::isStructured().

## ◆ isZipFile()

bool librevenge::RVNGZipStream::isZipFile | ( | RVNGInputStream * | input | ) |
| static

Referenced by librevenge::RVNGFileStream::isStructured(), and librevenge::RVNGStringStream::isStructured().

The documentation for this class was generated from the following files:

- RVNGZipStream.h
- RVNGZipStream.cpp